Public Types | Public Member Functions | Public Attributes

# cv::Size_< _Tp > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Types
typedef _Tp | value_type
## Public Member Functions
_Tp | area () const
| the area (width*height)
| operator CvSize () const
| conversion to the old-style OpenCV types
| operator CvSize2D32f () const
template<typename _Tp2 >
| operator Size_< _Tp2 > () const
| conversion of another data type.
Size_ & | operator= (const Size_ &sz)
| Size_ (const Size_ &sz)
| Size_ (const Point_< _Tp > &pt)
| Size_ (const CvSize2D32f &sz)
| Size_ (_Tp _width, _Tp _height)
| Size_ ()
| various constructors
| Size_ (const CvSize &sz)
## Public Attributes
_Tp | height
_Tp | width

## Detailed Description

### template<typename _Tp>
class cv::Size_< _Tp >

The 2D size class

The class represents the size of a 2D rectangle, image size, matrix size etc. Normally, cv::Size ~ cv::Size_<int> is used.

## Member Typedef Documentation

template<typename _Tp>

typedef _Tp cv::Size_< _Tp >::value_type

## Constructor & Destructor Documentation

template<typename _Tp >

cv::Size_< _Tp >::Size_ | ( | ) | `[inline]`

various constructors

template<typename _Tp>

cv::Size_< _Tp >::Size_ | ( | _Tp | _width,
|  | _Tp | _height
| ) |  | `[inline]`

template<typename _Tp>

cv::Size_< _Tp >::Size_ | ( | const Size_< _Tp > & | sz ) | `[inline]`

template<typename _Tp>

cv::Size_< _Tp >::Size_ | ( | const CvSize & | sz ) | `[inline]`

template<typename _Tp>

cv::Size_< _Tp >::Size_ | ( | const CvSize2D32f & | sz ) | `[inline]`

template<typename _Tp>

cv::Size_< _Tp >::Size_ | ( | const Point_< _Tp > & | pt ) | `[inline]`

## Member Function Documentation

template<typename _Tp >

_Tp cv::Size_< _Tp >::area | ( | ) | const`[inline]`

the area (width*height)

template<typename _Tp >

cv::Size_< _Tp >::operator CvSize | ( | ) | const`[inline]`

conversion to the old-style OpenCV types

template<typename _Tp >

cv::Size_< _Tp >::operator CvSize2D32f | ( | ) | const`[inline]`

template<typename _Tp >
template<typename _Tp2 >

cv::Size_< _Tp >::operator Size_< _Tp2 > | ( | ) | const`[inline]`

conversion of another data type.

template<typename _Tp >

Size_< _Tp > & cv::Size_< _Tp >::operator= | ( | const Size_< _Tp > & | sz ) | `[inline]`

## Member Data Documentation

template<typename _Tp>

_Tp cv::Size_< _Tp >::height

template<typename _Tp>

_Tp cv::Size_< _Tp >::width

The documentation for this class was generated from the following files:

- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines